import Vue from 'vue'
// 针对el-input的输入限制
// 只能输入正整数
Vue.directive('inputInt', {
    inserted(el) {
        var nodeInput = el.querySelector('input')
        nodeInput.addEventListener('input', () => {
            setTimeout(() => {
                nodeInput.value = nodeInput.value.replace(/[^\d]/g, '')
            })
        })
    }
})
// 输入非负小数
Vue.directive('inputFloat', {
    inserted(el) {
        var nodeInput = el.querySelector('input')
        nodeInput.addEventListener('input', () => {
            setTimeout(() => {
                nodeInput.value = nodeInput.value.replace(/[^\d.]/g, '').replace(/(\d+\.\d*)\.?\d*/, '$1')
            })
        })
    }
})
// 限制字符1000
export function validateTenBai(rule, value, callback){
    if (value!=null && value.length > 1000) {
      callback(new Error("输入字符个数最大1000个"));
    } else {
      callback();
    }
};